/* 
171003/TS Ändrar margins för maxAntalSidorBermatris.
171026/TS #uploadIframe: width:600px; -> 760px;.
191221/TS Flytter knapparna i headern från theme.css till styles.css.
    #uploadbody: Lägger till margin: 0pt;
    .GridViewRowStyle td, .GridViewAlternatingRowStyle td: Ändrar padding: 10px 5px 10px 5px; -> 5px 5px 5px 10px;
    .GridViewHeaderStyle th: height:40px; -> 25px;
*/
/*===== Kollas/justeras ==================*/
.pagenav /* Används på sidor utanför motorn - kollas/justeras */ {
    /*BORDER: #000000 0px solid;
    BORDER-RADIUS: 5px;*/
}
/* ========== Används inte ?? ==========*/
TEXTAREA
{
    BORDER: #808080 1px solid;
}
.BUTTON:hover, A:hover, .hover1:hover {
    /*BACKGROUND-COLOR: #c0c0f0;*/
    CURSOR: pointer;
}
/* ===================================*/

TABLE
{
    Border-spacing: 0px;
}
TABLE td
{
    Padding: 1px;	/* 1 är lagom minimum mellan elementrader i Firefox */
}
/* ========================== */
.maintb
{
    Display:block;
    Margin:auto;
    Margin-right:auto;
    Width:1000px;
}
.pagebulk	/* Motorgenererade huvudinnehållet. */
{    
    Width:990px;
    Padding: 0px;
    Border-spacing: 0px;
}
.rstable	/* Elementtypen rstable. (Tex listan över ansökningar på home-skärmen.) */
{
    Margin-top: 0.3em;
}
.rstable td
{
    Padding: 0.2em;
    FONT-SIZE: 10pt     /*130428/TS tillagt*/
    }
.roll_table td
{   padding: 10px;
}
a.linkbutton {
    background:none!important;
     border:none; 
     padding:0!important;
     font: inherit;
     /*border is optional*/
     border-bottom:1px solid #444; 
     cursor: pointer;
}
/* Vid valideringsfel*/
input.error {
    background: url(../images/icon-fail.png) no-repeat right center #ffebef;
    color: #480000;
}
.tableheader
{
    FONT-WEIGHT: bold
}
.Error
{
    COLOR: #000000;
    FONT-WEIGHT: bold
}
.infotext
{
    COLOR: #404040;
    FONT-SIZE: 8pt
}
.popup
{
    COLOR: #000080;
    FONT-SIZE: 8pt;
    CURSOR: help;
    TEXT-DECORATION: underline
}
.elink
{
    COLOR: #000080;
    FONT-SIZE: 8pt;
    CURSOR: hand;
}
.cmdText
{
    COLOR: #000000;
    FONT-SIZE: 8pt;
    TEXT-DECORATION: underline
}
.navext	/* Används förmodligen inte */
{
    COLOR: #404040;
    FONT-SIZE: 8pt
}
/* ========== Menyraden ========== */
.navbar_tot
{
    BACKGROUND-COLOR: #f0f0ff;
    BORDER-BOTTOM: #7070f0 1px solid;
}
ul.navbar
{
    PADDING-TOP:    0px;
    PADDING-RIGHT:  5px;
    PADDING-BOTTOM: 0px;
    PADDING-LEFT:   5px;
}
li.navbar1
{
    PADDING-LEFT: 10px;
    PADDING-RIGHT: 10px;
    DISPLAY: inline;
    FONT-SIZE: 8pt;
    FONT-WEIGHT: bold;
}
li.navbar2	/* Används för vanlig meny - ej knappar */
{
    BORDER: #000080 1px solid;
}
li.navbaractive
{
    BACKGROUND-COLOR: #7070f0;
    COLOR: #ffffff;
}
li.navbarinactive
{
    BACKGROUND-COLOR: #e0e0f0;
    COLOR: #7070f0;
}
.button_dark
{
    BACKGROUND-COLOR: #7070f0;
    COLOR: #ffffff;
}
.button_links
{
    Width:90px;

    /*inlagt av SN 20131008*/
    text-decoration:none;
    color:black;
}
.button_links_wide {
    Width: 160px;
    text-decoration: none;
    color: black;
}
/* Översikt ansökan*/
#anstable tr
{
    height:25px;
    vertical-align:middle;
}
/* Validering */
div.form-summary {
    padding: 6px 12px;
    line-height: 180%;
    background: inherit;
    border-radius: 4px;
    margin-bottom: 22px;
    color: darkred;
    border-color: #eed3d7;
}
div.error-summary-row {
}

span.form-error 
{
    color:red;
}
/* =============================== */
/* För upload.aspx*/
/* Iframen som uppladdningskontrollen ligger i*/
#uploadIframe
{
    width:760px;
    border:none;
}
    #uploadbody   
    {
        font-size: 8pt;
        font-family: Verdana;
        background:#e5e5e5;
        margin: 0pt;
    }
#gvFiles 
{
	width: 400px;
}
.GridViewStyle
{    
    border-right: 2px solid #A7A6AA;
    border-bottom: 2px solid #A7A6AA;
    border-left: 2px solid white;
    border-top: 2px solid white;
    padding: 4px;
}
.GridViewStyle a
{
    color: Blue;
}
.GridViewHeaderStyle th
{
    border-left: 1px solid #d1cfff;
    border-right: 1px solid #d1cfff;
    height:25px;
}
.GridViewHeaderStyle
{
    background-color: #d1cfff;
    font-weight: bold;
    text-align: left;
}
.GridViewFooterStyle
{
    background-color: #d1cfff;
    font-weight: bold;
}
.GridViewRowStyle
{
    background-color: #FFFFFF;
    color: #333333;
}
.GridViewAlternatingRowStyle 
{
    background-color: #ffebef;
    color: #284775;
}
.GridViewRowStyle td, .GridViewAlternatingRowStyle td
{
    border: 1px solid #EBE9ED;
     padding: 5px 5px 5px 10px;
}
.GridViewSelectedRowStyle
{
    background-color: #E2DED6;
    font-weight: bold;
    color: #333333;
}
.GridViewPagerStyle
{
    background-color: #284775;
    color: #FFFFFF;
}
.GridViewPagerStyle table
{
    margin: 0 auto 0 auto;
}
/* Slut på uppladdningsgrid */
/**************************************************************************/
/* Uppladdningsgrid Readonlys (den som endast visar filerna under ansökan */
/**************************************************************************/
#uploadReadOnlyIframe
{
    width:620px;
    border:none;
}
#gvFilesReadOnly 
{
	width: 600px;
}
#toggleButton 
{
	cursor:pointer;
    color: #2765a3; /* old:#d2232a */
    /*text-decoration:underline;*/
}
#gvFilesReadOnly thead tr th
{
    border-bottom:1px solid darkgray;
}
/*Columnhuvden i readonlyupload*/
#filtypCol
{
    width:30%;
    text-align:left;
}
#filnamnCol
{
    width:30%;
    text-align:left;
}
#uppladdadCol
{
    width:40%;
    text-align:left;
}
/* Nav buttons Beredningsgrupp */
.navButtonBeredningsgrupp
{
    margin:5px 0px 5px 10px !important;
}
/*Bermatris tabell huvud*/
.bermatris-table-header
{
    font-weight:bold;
    /*padding:0px 10px 0px 10px;*/
    white-space:nowrap;
    text-align:center;
}
.text-align-left
{
    text-align:left;
}
.small-center
{
    font-size:xx-small;
    text-align:center;
}
/* Popupen när man visar filer från bermatris */
ul.files
{
    /*list-style:none;*/
    list-style-position: outside;
     padding-left:4px;
}
.filespopoverdiv {
    width:100%;
    height:100%;
   
}
/*Boxen där man kan fylla i Max Antal sidor för bermatris*/
.maxAntalSidorBermatris {
    /*background:white;*/
    border: solid;
    border-color: #c0c0c0;
    float: right;
    margin-left: 10px;
    margin-right: 0px;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 5px;
}
/*Används vi översättning mm.*/
E, .language {
    font-size: 8pt;
    font-family: Verdana, Arial, Helvetica;
    color: grey;
}
.search_heading {
    font-size: 16pt;
    font-family: Verdana, Arial, Helvetica;
}
.search_heading_language {
    color: grey;
}
.search_adress_header_div {
    style ="height:50px;background:#efefef"
}
.alert-box-warning {
    color: red;
}
/*Kolumnbredder för de fem standardkolumnerna i motorn*/
/*140126/TS*/
td.StdCol1Width {width:25%;}  /*284px (ledtext)*/
td.StdCol2Width {width:47%;}  /*378px (inputfält)*/
td.StdCol3Width {width:15%;}  /*140px (info1)*/
td.StdCol4Width {width:3%;}   /*26px  (infobubbla/info2)*/
td.StdCol5Width {width:10%;}  /*112px (länk)*/
/*För alla standardkolumner*/
/*140126/TS*/
td.StandardColumn {
    vertical-align: middle;
}
.searchAdrButton {
  background: #3498db;
  background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
  background-image: -moz-linear-gradient(top, #3498db, #2980b9);
  background-image: -ms-linear-gradient(top, #3498db, #2980b9);
  background-image: -o-linear-gradient(top, #3498db, #2980b9);
  background-image: linear-gradient(to bottom, #3498db, #2980b9);
  -webkit-border-radius: 7;
  -moz-border-radius: 7;
  border-radius: 7px;
  font-family: Arial;
  color: #ffffff;
  font-size: 12px;
  padding: 3px 6px 3px 6px;
  text-decoration: none;
  text-shadow:none;
}
.searchAdrButton:hover {
  background: #3cb0fd;
  background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
  background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
  background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
  text-decoration: none;
}
button.searchAdrDialogButton {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #444d43;
	padding: 3px 14px;
	background: -moz-linear-gradient(
		top,
		#ffffff 0%,
		#ffffff 48%,
		#b5b5b5);
	background: -webkit-gradient(
		linear, left top, left bottom,
		from(#ffffff),
		color-stop(0.48, #ffffff),
		to(#b5b5b5));
	-moz-border-radius: 6px;
	-webkit-border-radius: 6px;
	border-radius: 6px;
	border: 0px solid #5d5e5d;
	-moz-box-shadow:
		0px 1px 6px rgba(000,000,000,0.7),
		inset 0px 0px 3px rgba(255,255,255,1);
	-webkit-box-shadow:
		0px 1px 6px rgba(000,000,000,0.7),
		inset 0px 0px 3px rgba(255,255,255,1);
	box-shadow:
		0px 1px 6px rgba(000,000,000,0.7),
		inset 0px 0px 3px rgba(255,255,255,1);
	text-shadow:
		0px -1px 0px rgba(000,000,000,0),
		0px 1px 0px rgba(255,255,255,0.4);
}
/*********************Knapparna högst upp i page ********************************
/*header_button är gemensamma för alla. Den och de individuella knapparna flyttas från theme.css till styles.css 191221.
*/
.header_button {
    background-position: left;
    background-repeat: no-repeat;
    height: 40px;
    padding-left: 32px !important;
    text-align: center;
    vertical-align: middle;
}
.btn_avbryt {
    background-image: url('../images/Avbryt24.png');
}
.btn_fortsatt {
    background-image: url('../images/Continue24.png');
}
.btn_loggain {
    background-image: url('../images/LoggaIn32.png');
}
.btn_loggaut {
    background-image: url('../images/Logout.png');
    width: 90px;
}
.btn_laggtill {
    background-image: url('../images/Continue24.png');
}
.btn_skapa {
    background-image: url('../images/Document32.png');
}
.btn_spara {
    background-image: url('../images/Document32.png');
    margin: 5px;
}
.btn_tillbaka {
    background-image: url('../images/Tillbaka24.png');
}
.btn_visa {
    background-image: url('../images/list32.png');
    width: 70px;
}
.btn_loggaut {
    background-image: url('../images/Logout.png');
    width: 90px;
}
/********************* För att inte kontroller ska bli gråa då ett formulär sätts till read-only (med MakeReadOnly.js ********************************
201219/LS
*/
input:disabled {
    color: black;
    cursor: default;
    background-color: white;
}
select:disabled {
    color: black;
    cursor: default;
    background-color: white;
    opacity: 1;
    border-color: rgba(118, 118, 118, 0.3);
}
textarea:disabled {
    color: black;
    cursor: default;
    background-color: white;
}
input [type=button], input[type=submit] {
    color: black;
    cursor: default;
    background-color: white;
}
.box_lightblue {
    border-style: solid;
    border-width: 1px;
    padding: 10px;
    background-color:lightblue;
}
.r11background_green {
    FONT-STYLE: italic;
    FONT-WEIGHT: bold;
    border-style: solid;
    border-width: 1px;
    padding: 5px;
    background-color: lightgreen;
}
.r11background_red {
    FONT-STYLE: italic;
    FONT-WEIGHT: bold;
    border-style: solid;
    border-width: 1px;
    padding: 5px;
    background-color: lightcoral;
}
